| DocBook: The Definitive Guide Version 2.0.8 (Alpha)

# symbol

$Revision: 1.3 $

$Date: 2002/06/12 11:18:39 $

symbol — A name that is replaced by a value before processing

## Synopsis

### Mixed Content Model

    symbol ::=
    (#PCDATA|replaceable|inlinegraphic|inlinemediaobject|indexterm|
     beginpage)*

### Attributes

Common attributes

Name | Type | Default

class

Enumeration:
limit

None

## Description

A `Symbol` is a name that represents a value. It should be used in contexts in which the name will actually be replaced by a value before processing. The canonical example is a `#define`d symbol in a C program where the C preprocessor replaces every occurance of the symbol with its value before compilation begins.

The `Limit` value of the `Class` attribute identifies those symbols that represent system limitations (for example, the number of characters allowed in a path name or the largest possible positive integer). DocBook V3.1 introduced the `Constant` element, which may be more suitable for some of these symbols.

### Processing expectations

Formatted inline.

### Parents

These elements contain symbol: `action`, `application`, `attribution`, `bibliomisc`, `bridgehead`, `citation`, `citetitle`, `classsynopsisinfo`, `command`, `computeroutput`, `database`, `emphasis`, `entry`, `filename`, `foreignphrase`, `funcparams`, `funcsynopsisinfo`, `function`, `glosssee`, `glossseealso`, `glossterm`, `hardware`, `interfacename`, `keycap`, `lineannotation`, `link`, `literal`, `literallayout`, `lotentry`, `member`, `msgaud`, `olink`, `option`, `optional`, `para`, `parameter`, `phrase`, `primary`, `primaryie`, `productname`, `programlisting`, `property`, `quote`, `refdescriptor`, `refentrytitle`, `refname`, `refpurpose`, `remark`, `screen`, `screeninfo`, `secondary`, `secondaryie`, `see`, `seealso`, `seealsoie`, `seeie`, `seg`, `segtitle`, `simpara`, `subscript`, `subtitle`, `superscript`, `synopsis`, `systemitem`, `term`, `tertiary`, `tertiaryie`, `title`, `titleabbrev`, `tocback`, `tocentry`, `tocfront`, `trademark`, `ulink`, `userinput`.

### Children

The following elements occur in symbol: `beginpage`, `indexterm`, `inlinegraphic`, `inlinemediaobject`, `replaceable`.

## Attributes

class

  `Class` indicates the type of `Symbol`.

## See Also

`classname`, `interface`, `property`, `structfield`, `structname`, `token`, `type`.

## Examples

    <!DOCTYPE para PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
              "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">
    <para>
    No filename may be more than <symbol class='limit'>MAXPATHLEN</symbol>
    characters long.
    </para>

No filename may be more than MAXPATHLEN characters long.

svg:svg |  | synopfragment

Copyright © 1999, 2000, 2001, 2002 O'Reilly & Associates, Inc. All rights reserved.